org.apache.ignite.internal.processors.platform

## Class PlatformAbstractConfigurationClosure

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractConfigurationClosure

All Implemented Interfaces:
  Serializable, IgniteClosure<IgniteConfiguration,IgniteConfiguration>

Direct Known Subclasses:
  PlatformCppConfigurationClosure, PlatformDotNetConfigurationClosure

    public abstract class PlatformAbstractConfigurationClosure
    extends Object
    implements IgniteClosure<IgniteConfiguration,IgniteConfiguration>

Abstract interop configuration closure.

See Also:
  Serialized Form

### Field Summary

Fields
`protected PlatformCallbackGateway` `gate` Native gateway.

### Constructor Summary

Constructors
`protected` `PlatformAbstractConfigurationClosure(long envPtr)` Constructor.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`IgniteConfiguration` `apply(IgniteConfiguration igniteCfg)` Closure body.
`protected abstract void` `apply0(IgniteConfiguration igniteCfg)` Internal apply routine.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### gate

    protected final PlatformCallbackGateway gate

Native gateway.

### Constructor Detail

#### PlatformAbstractConfigurationClosure

    protected PlatformAbstractConfigurationClosure(long envPtr)

Constructor.

Parameters:
  `envPtr` - Environment pointer.

### Method Detail

#### apply

    public IgniteConfiguration apply(IgniteConfiguration igniteCfg)

Closure body.

Specified by:
  `apply` in interface `IgniteClosure<IgniteConfiguration,IgniteConfiguration>`
Parameters:
  `igniteCfg` - Closure parameter.
Returns:
  Closure return value.

#### apply0

    protected abstract void apply0(IgniteConfiguration igniteCfg)

Internal apply routine.

Parameters:
  `igniteCfg` - Ignite configuration.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021